Summary: Main loop abstraction library
Name: libverto
Version: 0.3.2
Release: 6%{?dist}
License: MIT
URL: https://github.com/latchset/libverto
Source0: https://github.com/latchset/libverto/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires: autoconf automake libtool make git
BuildRequires: glib2-devel libevent-devel libev-devel

%description
libverto provides a loop-neutral async api which allows the library
to expose asynchronous interfaces and offload the choice of the main 
loop to the application.

%package devel
Summary: Development files for libverto
Requires: libverto = %{version}-%{release}
Requires: pkgconfig

%description devel
Development libraries and header files for using libverto.

%package glib
Summary: glib module for libverto
Requires: libverto = %{version}-%{release}

%description glib
Provides integration with glib for libverto.

%package glib-devel
Summary: Development files for libverto-glib
Requires: libverto-glib = %{version}-%{release}
Requires: libverto-devel = %{version}-%{release}

%description glib-devel
Development libraries and header files for using libverto-glib.

%package libevent
Summary: libevent module for libverto
Requires: libverto = %{version}-%{release}
Provides: libverto-module-base = %{version}-%{release}

%description libevent
A module which provides integration with libevent for libverto.

%package libevent-devel
Summary: Development files for libverto-libevent
Requires: libverto-libevent = %{version}-%{release}
Requires: libverto-devel = %{version}-%{release}

%description libevent-devel
Development libraries and header files for using libverto-libevent.

%package libev
Summary: libev module for libverto
Requires: libverto = %{version}-%{release}
Provides: libverto-module-base = %{version}-%{release}

%description libev
A module which provides integration with libev for libverto, and provides
libverto-module-base since it supports io, timeout and signal.

%package libev-devel
Summary: Development files for libverto-libev
Requires: libverto-libev = %{version}-%{release}
Requires: libverto-devel = %{version}-%{release}

%description libev-devel
Development libraries and header files for using libverto-libev, and provides 
libverto-module-base since it supports io, timeout and signal.

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}
%make_install

find %{buildroot} -name \*.la -delete

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libverto.so.*

%files devel
%{_includedir}/verto.h
%{_includedir}/verto-module.h
%{_libdir}/libverto.so
%{_libdir}/pkgconfig/libverto.pc

%files glib
%{_libdir}/libverto-glib.so.*

%files glib-devel
%{_includedir}/verto-glib.h
%{_libdir}/libverto-glib.so
%{_libdir}/pkgconfig/libverto-glib.pc

%files libevent
%{_libdir}/libverto-libevent.so.*

%files libevent-devel
%{_includedir}/verto-libevent.h
%{_libdir}/libverto-libevent.so
%{_libdir}/pkgconfig/libverto-libevent.pc

%files libev
%{_libdir}/libverto-libev.so.*

%files libev-devel
%{_includedir}/verto-libev.h
%{_libdir}/libverto-libev.so
%{_libdir}/pkgconfig/libverto-libev.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 Wang Zhe <bessiewang@tencent.com> - 0.3.2-1
- initial build
